# Receipts

Currently we deliver a simple formatted text version of a terminal receipt. This is suitable for printing on a receipt printer. You can adjust the width in characters to center the receipt on your paper.

*We are working on a pdf version as well.*

Go to the receipt endpoint and put in your charge or refund `id` and get in return the receipt.

### Create your own terminal receipt

You can also create your own receipt, by fetching the data from Vibrant and format yourself, this is our recomendation in such a case.

It is though possible to get all data that you need from the `Charge` object under `paymentMethodDetails`.

Your receipt should include:

<table><thead><tr><th width="248">Data</th><th width="434">Property on charge</th><th>mandatory</th></tr></thead><tbody><tr><td>Terminal id </td><td><pre class="language-json"><code class="lang-json">terminalId
</code></pre></td><td>✅</td></tr><tr><td>Transaction amount</td><td><pre><code>amount
</code></pre></td><td>✅</td></tr><tr><td>Date and Time</td><td><pre><code>created
</code></pre></td><td>✅</td></tr><tr><td>Unique transaction id</td><td><pre><code>id
</code></pre></td><td>✅</td></tr><tr><td>Status (success/failed)</td><td><pre><code>status
</code></pre></td><td>✅</td></tr><tr><td>Card brand (visa/mastercard)</td><td><pre><code>paymentMethodDetails.cardPresent.brand
</code></pre></td><td></td></tr><tr><td>funding (credit/debit)</td><td><pre><code>paymentMethodDetails.cardPresent.funding
</code></pre></td><td></td></tr><tr><td>MaskedPan / last 4</td><td><pre><code>paymentMethodDetails.cardPresent.last4
</code></pre></td><td></td></tr><tr><td>read method<br>(contactless)</td><td><pre><code>paymentMethodDetails.cardPresent.readMethod
</code></pre></td><td></td></tr><tr><td>auth code</td><td><pre><code>paymentMethodDetails.cardPresent.receipt.
authorizationCode
</code></pre></td><td></td></tr><tr><td>auth response code</td><td><pre><code>paymentMethodDetails.cardPresent.receipt.
authorizationResponseCode
</code></pre></td><td></td></tr></tbody></table>

### Create your own refund receipt

In order to create your own reciepts for a refund, take that `refundId` from the refund object and fetch that Charge.

From there you can create the exact same terminal receipt as mentioned above - you just need to state that it is a **refund**, not a sale 👍


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vibrant.io/vibrant/vibrant-sandbox/receipts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
